Package org.apache.groovy.ginq.dsl.expression

# Interface DataSourceHolder

All Known Implementing Classes:
  `DataSourceExpression`, `FilterExpression`, `FromExpression`, `GroupExpression`, `HavingExpression`, `JoinExpression`, `LimitExpression`, `OnExpression`, `OrderExpression`, `ProcessExpression`, `SelectExpression`, `WhereExpression`

public interface DataSourceHolder
Represents data source holder, e.g. from, joins, where, groupby, etc.

Since:
  4.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataSourceExpression`
  `getDataSourceExpression()`
  `void`
  `setDataSourceExpression(DataSourceExpression dataSourceExpression)`

- ## Method Details

  - ### getDataSourceExpression

    DataSourceExpression getDataSourceExpression()

  - ### setDataSourceExpression

    void setDataSourceExpression(DataSourceExpression dataSourceExpression)